RE: [perl #39143] Unable to make Perl 5.8.8 on HP-UX 11.11

Thanks for your assistance.  I needed to upgrade my Perl 5.8.7 because I'm
trying to perlcc a script, and 5.8.7 wasn't working very well.

I downloaded and installed the updated binary (thanks VERY much...) and
installed it without trouble.  Now I'm getting a compile error when running
"perlcc -O sd_event.pl -o sdEvent": Can't locate object method
"_save_common_middle" via package "B::FAKEOP" at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 389.

I tried also just creating a .c using "perlcc sd_event.pl" and got:
sh: 5544 Memory fault(coredump)
/opt/perl/bin/perlcc: sd_event.pl did not compile, which can't happen:
Starting compile
 Walking tree

All that was left was a 0-byte sd_event.c file and a 5M core file.

Should I submit a new request for this, or can we work it through #39143?

Regards...

----------------------------------
Hydro One Telecom
Jim Duffield
OSS Architect
jim.duffield@hydroone.com
office: 905-840-0585 x377
mobile: 416-451-6071
http://www.hydroonetelecom.com/
----------------------------------
-----Original Message-----
From: H. Merijn Brand via RT [mailto:perlbug-followup@perl.org] 
Sent: May 16, 2006 10:40
To: DUFFIELD Jim
Subject: Re: [perl #39143] Unable to make Perl 5.8.8 on HP-UX 11.11

On Mon, 15 May 2006 13:56:37 -0700, "Jim.Duffield@HydroOne.com (via RT)"
<perlbug-followup@perl.org> wrote:

> I'm trying to install perl 5.8.8 on HP-UX 11.11 with PA-Risc 2.0
processors.
> I successfully ran Configure using "sh Configure -Dcc=gcc -de" and 
> then it told me to run make.  While running make, after only a couple 
> of warnings in the first several components, I get the following:

Apart from the errors you get, is there any specific reason for not using a
prebuilt binary?

I suspect the version of the gcc you installed. If it was not explicitely
built for 11.11-pa-risc-2.0, you are bound to hit errors

# /usr/local/pa20_32/bin/gcc -v /dev/null Using built-in specs.
Target: hppa2.0w-hp-hpux11.11
Configured with: ../src/configure --enable-languages=c,c++
--prefix=/usr/local/pa20_32 --with-local-prefix=/usr/local/pa20_32
--with-gnu-as --with-as=/usr/local/pa20_32/bin/as --with-ld=/usr/ccs/bin/ld
--disable-shared --disable-nls Thread model: single gcc version 4.1.1
20060428 (prerelease)
 /wrk/pa20_32/libexec/gcc/hppa2.0w-hp-hpux11.11/4.1.1/collect2 -L/lib/pa1.1
-L/usr/lib/pa1.1 -z -u main -u __gcc_plt_call /usr/ccs/lib/crt0.o
/lib/unix98.o -L/wrk/pa20_32/lib/gcc/hppa2.0w-hp-hpux11.11/4.1.1
-L/wrk/pa20_32/lib/gcc
-L/usr/local/pa20_32/lib/gcc/hppa2.0w-hp-hpux11.11/4.1.1 -L/usr/ccs/lib
-L/opt/langtools/lib -L/wrk/pa20_32/lib -L/usr/local/pa20_32/lib /dev/null
-lgcc -lc -lgcc
/usr/ccs/bin/ld: Unexpected end of file in /dev/null
collect2: ld returned 1 exit status

Prebuilt perl-5.8.8 depot from my site:
http://mirrors.develooper.com/hpux/perl-5.8.8-dor-11.11.sd.bz

Binary GNU gcc that compiled that build:
http://mirrors.develooper.com/hpux/gcc-3.4.5-11.11.sd.bz

If you insist on GNU gcc-4.0.3:
http://mirrors.develooper.com/hpux/gcc-4.0.3-11.11.sd.bz

but perl build with 4.0.3 in 64bit mode is unreliable.

>         `sh  cflags "optimize='-g -O'" pp_sys.o`  pp_sys.c
>           CCCMD =  gcc -DPERL_CORE -c -D_HPUX_SOURCE -mpa-risc-2-0 
> -DDEBUGGING -fno-strict-aliasing -pipe -Wdeclaration-after-statement 
> -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -g -O  
> -Wall In file included from pp_sys.c:45:
> /usr/include/shadow.h:42: error: conflicting types for 'getspnam'
> /usr/include/prot.h:650: error: previous declaration of 'getspnam' was 
> here
> *** Error exit code 1
> 
> Relevant lines in shadow.h and prot.h:
>  
> /usr/include/prot.h:650:extern struct spwd *getspnam __((char *));
> /usr/include/shadow.h:42:     extern struct spwd * getspnam(const char *);
> /usr/include/shadow.h:49:     struct spwd * getspnam();
>  
> Both files have the same date/time.


-- 
H.Merijn Brand        Amsterdam Perl Mongers (http://amsterdam.pm.org/)
using & porting perl 5.6.2, 5.8.x, 5.9.x  on HP-UX 10.20, 11.00, 11.11,
& 11.23, SuSE 10.0, AIX 4.3 & 5.2, and Cygwin.       http://qa.perl.org
http://mirrors.develooper.com/hpux/           http://www.test-smoke.org
                       http://www.goldmark.org/jeff/stupid-disclaimers/
0
Jim
5/16/2006 7:08:05 PM
perl.perl5.porters 47902 articles. 1 followers. Follow

2 Replies
431 Views

Similar Articles

[PageSpeed] 5

Actually, I discovered I had to recompile a few libraries (Params::Validate,
Log::Dispatch and Log:Log4perl).  Now I'm getting different errors, the same
as another report (ports/93033):

root@tmsovo1:/extern_intf #perlcc sd_event.pl
/opt/perl/bin/perlcc: sd_event.pl did not compile, which can't happen:
Starting compile
 Walking tree
 Log::Log4perl::Layout saved (it is in
Log::Log4perl::Layout::PatternLayout's @ISA)
 Exporter saved (it is in Symbol's @ISA)
 IO::Handle saved (it is in IO::File's @ISA)
 IO::Seekable saved (it is in IO::File's @ISA)
 Log::Log4perl::Config::BaseConfigurator saved (it is in
Log::Log4perl::Config::PropertyConfigurator's @ISA)
 DynaLoader saved (it is in Time::HiRes's @ISA)
 Prescan
 Saving methods
 No definition for sub Config::config_vars
 No definition for sub Config::config_vars (unable to autoload)
 No definition for sub Config::myconfig
 No definition for sub Config::myconfig (unable to autoload)
 Use of uninitialized value in concatenation (.) or string at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 1063.
 No definition for sub Config::config_sh
 No definition for sub Config::config_sh (unable to autoload)
 No definition for sub Config::config_re
 No definition for sub Config::config_re (unable to autoload)
 Use of uninitialized value in concatenation (.) or string at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 1063.
 Use of uninitialized value in concatenation (.) or string at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 1063.
 Use of uninitialized value in concatenation (.) or string at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 1063.
 Use of uninitialized value in concatenation (.) or string at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 1063.
 Use of uninitialized value in concatenation (.) or string at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 1063.
 Use of uninitialized value in concatenation (.) or string at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 1063.
 Use of uninitialized value in concatenation (.) or string at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 1063.
 Use of uninitialized value in length at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 684.
 Use of uninitialized value in pack at /opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm
line 270.
 Use of uninitialized value in pack at /opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm
line 660.
 Use of uninitialized value in length at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 684.
 Use of uninitialized value in pack at /opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm
line 270.
 Use of uninitialized value in pack at /opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm
line 660.
 Use of uninitialized value in length at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 684.
 Use of uninitialized value in pack at /opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm
line 270.
 Use of uninitialized value in pack at /opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm
line 660.
 Use of uninitialized value in length at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 684.
 Use of uninitialized value in pack at /opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm
line 270.
 Use of uninitialized value in pack at /opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm
line 660.
 Use of uninitialized value in concatenation (.) or string at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 1063.
 Use of uninitialized value in concatenation (.) or string at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 1063.
 Use of uninitialized value in concatenation (.) or string at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 1063.
 Use of uninitialized value in concatenation (.) or string at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 1063.
 Use of uninitialized value in concatenation (.) or string at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 1063.
 Bootstrap Time::HiRes /opt/perl/lib/5.8.8/PA-RISC2.0/Time/HiRes.pm
 Use of uninitialized value in concatenation (.) or string at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 1063.
 No definition for sub POSIX::WIFEXITED
 No definition for sub POSIX::WIFEXITED (unable to autoload)
 Use of uninitialized value in concatenation (.) or string at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 1063.
 Can't locate object method "IVX" via package "B::NV" at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 650.
 CHECK failed--call queue aborted.

I tried to find a module for Config on CPAN, but nothing seemed to apply.
Any suggestions?

----------------------------------
Hydro One Telecom
Jim Duffield
OSS Architect
jim.duffield@hydroone.com
office: 905-840-0585 x377
mobile: 416-451-6071
http://www.hydroonetelecom.com/
----------------------------------
-----Original Message-----
From: DUFFIELD Jim 
Sent: May 16, 2006 15:08
To: 'perlbug-followup@perl.org'
Subject: RE: [perl #39143] Unable to make Perl 5.8.8 on HP-UX 11.11

Thanks for your assistance.  I needed to upgrade my Perl 5.8.7 because I'm
trying to perlcc a script, and 5.8.7 wasn't working very well.

I downloaded and installed the updated binary (thanks VERY much...) and
installed it without trouble.  Now I'm getting a compile error when running
"perlcc -O sd_event.pl -o sdEvent": Can't locate object method
"_save_common_middle" via package "B::FAKEOP" at
/opt/perl/lib/5.8.8/PA-RISC2.0/B/C.pm line 389.

I tried also just creating a .c using "perlcc sd_event.pl" and got:
sh: 5544 Memory fault(coredump)
/opt/perl/bin/perlcc: sd_event.pl did not compile, which can't happen:
Starting compile
 Walking tree

All that was left was a 0-byte sd_event.c file and a 5M core file.

Should I submit a new request for this, or can we work it through #39143?

Regards...

----------------------------------
Hydro One Telecom
Jim Duffield
OSS Architect
jim.duffield@hydroone.com
office: 905-840-0585 x377
mobile: 416-451-6071
http://www.hydroonetelecom.com/
----------------------------------
-----Original Message-----
From: H. Merijn Brand via RT [mailto:perlbug-followup@perl.org]
Sent: May 16, 2006 10:40
To: DUFFIELD Jim
Subject: Re: [perl #39143] Unable to make Perl 5.8.8 on HP-UX 11.11

On Mon, 15 May 2006 13:56:37 -0700, "Jim.Duffield@HydroOne.com (via RT)"
<perlbug-followup@perl.org> wrote:

> I'm trying to install perl 5.8.8 on HP-UX 11.11 with PA-Risc 2.0
processors.
> I successfully ran Configure using "sh Configure -Dcc=gcc -de" and 
> then it told me to run make.  While running make, after only a couple 
> of warnings in the first several components, I get the following:

Apart from the errors you get, is there any specific reason for not using a
prebuilt binary?

I suspect the version of the gcc you installed. If it was not explicitely
built for 11.11-pa-risc-2.0, you are bound to hit errors

# /usr/local/pa20_32/bin/gcc -v /dev/null Using built-in specs.
Target: hppa2.0w-hp-hpux11.11
Configured with: ../src/configure --enable-languages=c,c++
--prefix=/usr/local/pa20_32 --with-local-prefix=/usr/local/pa20_32
--with-gnu-as --with-as=/usr/local/pa20_32/bin/as --with-ld=/usr/ccs/bin/ld
--disable-shared --disable-nls Thread model: single gcc version 4.1.1
20060428 (prerelease)
 /wrk/pa20_32/libexec/gcc/hppa2.0w-hp-hpux11.11/4.1.1/collect2 -L/lib/pa1.1
-L/usr/lib/pa1.1 -z -u main -u __gcc_plt_call /usr/ccs/lib/crt0.o
/lib/unix98.o -L/wrk/pa20_32/lib/gcc/hppa2.0w-hp-hpux11.11/4.1.1
-L/wrk/pa20_32/lib/gcc
-L/usr/local/pa20_32/lib/gcc/hppa2.0w-hp-hpux11.11/4.1.1 -L/usr/ccs/lib
-L/opt/langtools/lib -L/wrk/pa20_32/lib -L/usr/local/pa20_32/lib /dev/null
-lgcc -lc -lgcc
/usr/ccs/bin/ld: Unexpected end of file in /dev/null
collect2: ld returned 1 exit status

Prebuilt perl-5.8.8 depot from my site:
http://mirrors.develooper.com/hpux/perl-5.8.8-dor-11.11.sd.bz

Binary GNU gcc that compiled that build:
http://mirrors.develooper.com/hpux/gcc-3.4.5-11.11.sd.bz

If you insist on GNU gcc-4.0.3:
http://mirrors.develooper.com/hpux/gcc-4.0.3-11.11.sd.bz

but perl build with 4.0.3 in 64bit mode is unreliable.

>         `sh  cflags "optimize='-g -O'" pp_sys.o`  pp_sys.c
>           CCCMD =  gcc -DPERL_CORE -c -D_HPUX_SOURCE -mpa-risc-2-0 
> -DDEBUGGING -fno-strict-aliasing -pipe -Wdeclaration-after-statement 
> -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -g -O 
> -Wall In file included from pp_sys.c:45:
> /usr/include/shadow.h:42: error: conflicting types for 'getspnam'
> /usr/include/prot.h:650: error: previous declaration of 'getspnam' was 
> here
> *** Error exit code 1
> 
> Relevant lines in shadow.h and prot.h:
>  
> /usr/include/prot.h:650:extern struct spwd *getspnam __((char *));
> /usr/include/shadow.h:42:     extern struct spwd * getspnam(const char *);
> /usr/include/shadow.h:49:     struct spwd * getspnam();
>  
> Both files have the same date/time.


-- 
H.Merijn Brand        Amsterdam Perl Mongers (http://amsterdam.pm.org/)
using & porting perl 5.6.2, 5.8.x, 5.9.x  on HP-UX 10.20, 11.00, 11.11,
& 11.23, SuSE 10.0, AIX 4.3 & 5.2, and Cygwin.       http://qa.perl.org
http://mirrors.develooper.com/hpux/           http://www.test-smoke.org
                       http://www.goldmark.org/jeff/stupid-disclaimers/
0
Jim
5/16/2006 7:51:34 PM
On 5/16/06, Jim.Duffield@hydroone.com <Jim.Duffield@hydroone.com> wrote:
> Thanks for your assistance.  I needed to upgrade my Perl 5.8.7 because I'=
m
> trying to perlcc a script, and 5.8.7 wasn't working very well.

perlcc doesn't work well in any version. You probably want to consider
PAR instead. http://par.wikia.com/wiki/Main_Page

Josh
0
twists
5/16/2006 10:44:50 PM
Reply:

Similar Artilces:

5.8.9 on HP-UX 11.11/32 with gcc
Building 5.8.9 on all my HP-UX flavours revealed this, which makes me wonder if anything changed, as the smokes did not show that Failed Test Stat Wstat Total Fail List of Failed ------------------------------------------------------------------------------- .../lib/ExtUtils/t/Constant.t 272 205 5-23 35-56 68-93 105-165 177-219 231-264 .../lib/ExtUtils/t/Embed.t 9 9 1-9 (2 subtests UNEXPECTEDLY SUCCEEDED), 87 tests and 8991 subtests skipped. Failed 2/1198 test scripts. 214/13...

Smoke [5.8.1] 20906 FAIL(X) hp-ux b.11.11 (9000/861)
Automated smoke report for 5.8.1 patch 20906 on hp-ux - b.11.11 (9000/861) (h3) using version=20 Report by Test::Smoke v1.18.03 (perl 5.8.0) [13 hours 56 minutes] O =3D OK F =3D Failure(s), extended report at the bottom X =3D test(s) failed under TEST but not under harness ? =3D still running or test results not (yet) available Build failures during: - =3D unknown or N/A c =3D Configure, m =3D make, M =3D make (after miniperl), t =3D make test-p= rep 20906 Configuration (common) none ------------ --------------------------------------------------------------= -- ...

Smoke [5.8.1] 20906 FAIL(X) hp-ux b.11.11 (9000/861) #2
Automated smoke report for 5.8.1 patch 20906 on hp-ux - b.11.11 (9000/861) (h3) using version=20 Report by Test::Smoke v1.18.03 (perl 5.8.0) [13 hours 56 minutes] O =3D OK F =3D Failure(s), extended report at the bottom X =3D test(s) failed under TEST but not under harness ? =3D still running or test results not (yet) available Build failures during: - =3D unknown or N/A c =3D Configure, m =3D make, M =3D make (after miniperl), t =3D make test-p= rep 20906 Configuration (common) none ------------ --------------------------------------------------------------= -- ...

Smoke [5.8.1] 21026 FAIL(c) hp-ux b.11.11 (9000/861/1 cpu)
Automated smoke report for 5.8.1 patch 21026 on hp-ux - b.11.11 (9000/861/1= cpu) (h3) using version=20 Report by Test::Smoke v1.18.05 (perl 5.8.0) [2 days 9 hours 39 minutes] O =3D OK F =3D Failure(s), extended report at the bottom X =3D test(s) failed under TEST but not under harness ? =3D still running or test results not (yet) available Build failures during: - =3D unknown or N/A c =3D Configure, m =3D make, M =3D make (after miniperl), t =3D make test-p= rep 21026 Configuration (common) none ------------ ------------------------------------------------------...

[PATCH] Compilation fix for 5.8.1-RC2 on HP-UX 11.00 re: get_seed ()
The following patch will allow perl 5.8.1-RC2 to compile on HP-UX 11.00. There was a conflict with a system function get_seed() (located in /usr/include/prot.h) and perl's get_seed() function (which is the hash randomizer?). This patch simply renames get_seed() to get_hash_seed() in the following files: embed.fnc embed.h proto.h perl.c util.c Eric Kidder office: 317 265 3190 pager: 317 692 4503 home: 317 299 8893 diff -ruN perl-5.8.1-RC2/embed.fnc perl-patched/embed.fnc --- perl-5.8.1-RC2/embed.fnc 2003-07-10 20:18:16.000000000 -0500 +++ perl-patched/embed.fnc ...

Upgrading from 11.5(SWR 7753 Rollup) to 11.5.1 on HP-UX 11
Dear friends! Have anybody had any problems with upgrading ASE11.5(SWR 7753 Rollup) to 11.5.1 at HP-UX 11? With best regards, Vadim zero98@iname.com ...

RE: Smoke [5.9.5] 29501 FAIL(F) HP-UX B.11.11/64 (PA-RISC2.0/2 cpu)
From http://beta.nntp.perl.org/group/perl.daily-build.reports/2006/12/msg43142.html : [stdio] -DDEBUGGING -Duseithreads ../ext/threads/t/libc.t.................FAILED 9-10 12 [perlio] -DDEBUGGING -Duseithreads ../ext/threads/t/libc.t.................FAILED 5-6 9 11-12 [univ.utf8] -DDEBUGGING -Duseithreads ../ext/threads/t/libc.t.................FAILED 4-8 10-11 This shows that 'localtime' is not thread-safe under this HP-UX build. Anyone have a clue as to why and/or how to fix it? ____________________________________________________________________...

Unable to upgrade from 8.8.2 to 8.8.5
Hello, I am getting the following error when running nds-install: ./nds-install: line 863: [: too many arguments ./nds-install: line 885: [: too many arguments ./nds-install: line 885: [: too many arguments %%% There are no components available to install. %%% Some packages required for the components may be missing in I am thinking it might be related to the version of compat installed which is 2006.1.25. gettest is installed. This is a SLES 10 Patch level 3 currently running eDir 8.8.2(v20213.03). This is the last server in the tree to be upgraded and I have not run into t...

Fw: Re: [ID 20010920.002] Configuring 5.6.1 on HP-UX 11.11
----------------------- Original Message ----------------------- From: "Ulrich Windl" <Ulrich.Windl@rz.uni-regensburg.de> To: "H.Merijn Brand" <h.m.brand@hccnet.nl> Date: Fri, 21 Sep 2001 07:52:37 +0200 Subject: Re: [ID 20010920.002] Configuring 5.6.1 on HP-UX 11.11 ---- On 20 Sep 2001, at 16:44, H.Merijn Brand wrote: > On Thu 20 Sep 2001 16:17, "Ulrich Windl" <Ulrich.Windl@rz.uni-regensburg.de> wrote: > > > Do you now still want my port? > > > > No, thanks. I have several machines that need equal...

DBD::Oracle 1.12 vs HP-UX 11.11 on L-Class with Oracle 8.1.7.3
My appologies if my client threw in too many line breaks. Perl 5.6.1 on HP-UX 11.11 with DBI 1.2, Oracle 8.1.7.3 in /opt/local/appdev/software/oracle/product/8.1.7, ANSI C compiler. When doing a make test during install, I get this: Running make test PERL_DL_NONLAZY=1 /usr/bin/perl -Iblib/arch -Iblib/lib - I/usr/ulairi_perl/lib/5.6.1/PA-RISC2.0 -I/usr/ulairi_perl/lib/5.6.1 -e 'use Test::Harness qw(&runtests $verbose); $verbose=0; runtests @ARGV;' t/*.t t/base............../usr/lib/dld.sl: Can't open shared library: /hpx/work/ee/8.1.7.3/hpx32/src_1221/li...

Smoke [5.11.3] v5.11.3-8-g5ef4d93 FAIL(F) linux 2.6.31-16-generic [debian] (x86_64/8 cpu)
Automated smoke report for 5.11.3 patch 5ef4d93ec97e5239010a45df06473288e04= f739a v5.11.3-8-g5ef4d93 zwei: Intel(R) Core(TM) i7 CPU 920 @ 2.67GHz (GenuineIntel 1600MHz) (x86_64= /8 cpu) on linux - 2.6.31-16-generic [debian] using cc version 4.4.1 smoketime 8 hours 33 minutes (average 32 minutes 5 seconds) Summary: FAIL(F) O =3D OK F =3D Failure(s), extended report at the bottom X =3D Failure(s) under TEST but not under harness ? =3D still running or test results not (yet) available Build failures during: - =3D unknown or N/A c =3D Configure, m =3D...

DBD::Oracle 1.12 vs HP-UX 11.11 on L-Class with Oracle 8.1.7.3 (pt2)
[346]$ perl -V Summary of my perl5 (revision 5.0 version 6 subversion 1) configuration: Platform: osname=hpux, osvers=11.11, archname=PA-RISC2.0 uname='hp-ux sulley b.11.11 u 9000889 1428622331 unlimited-user license ' config_args='-Ubincompat5005 -Dprefix=/usr/ulairi_perl -d' hint=recommended, useposix=true, d_sigaction=define usethreads=undef use5005threads=undef useithreads=undef usemultiplicity=undef useperlio=undef d_sfio=undef uselargefiles=define usesocks=undef use64bitint=undef use64bitall=undef uselongdouble=undef Compiler: ...

PB 6.5 under NT connecting to Oracle 8 DB running under HP-UX 11
We are running PowerBuilder 6.5 under NT, connecting to a database server via SQL*Net. The database server is running Oracle 8.04 under HP-UX 10.20. We would like to upgrade to HP-UX 11, but would like to be ensured that the PowerBuilder interface will be compatible. Can you tell me if you support connecting to an Oracle 8.04 database that is running under HP-UX 11? We previously ran into problems upgrading to Oracle 8, with PowerBuilder's incompatibility with Net8, and wanted to avoid any such problems with HP-UX 11. Thanks. I'm connecting to 8.0.5 running on IMB AIX w...

5.8.0 on HP/UX 11.00 using gcc 2.95.2
I'm trying to compile 5.8.0 on HP/UX 11.00 using gcc 2.95.2. I'm having some problems with that. Did anyone successfully use this combination? Or am I doomed to try? Merin? Abigail ...

Smoke [5.8.1] 20898 FAIL(c) hp-ux b.11.00 (9000/800)
Automated smoke report for 5.8.1 patch 20898 on hp-ux - b.11.00 (9000/800) (a5) using version=20 Report by Test::Smoke v1.18.03 (perl 5.8.0) [5 hours] O =3D OK F =3D Failure(s), extended report at the bottom X =3D test(s) failed under TEST but not under harness ? =3D still running or test results not (yet) available Build failures during: - =3D unknown or N/A c =3D Configure, m =3D make, M =3D make (after miniperl), t =3D make test-p= rep 20898 Configuration (common) none ------------ --------------------------------------------------------------= -- O O O O O O ...

Web resources about - RE: [perl #39143] Unable to make Perl 5.8.8 on HP-UX 11.11 - perl.perl5.porters

Resources last updated: 1/21/2016 11:58:33 AM